Subject: bug#62484: Join INSTALL and INSTALL.REPO

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 17:01:21 -0700

tags 62484 wontfix notabug
close 62484
thanks

[email-masked] writes:

> IMHO it is unusual that a build system depends on if I use a tarball or a git
> repo. Never seen this before. No matter that there might be good technical
> reason to this it should be adopted to the "usual" users.
>
> A user does look into a README first, finds no build infos and then looks for a
> BUILD file. Can't find one and tries INSTALL (which is not intended to have
> build infos because build and install are different things). User (me) found an
> INSTALL and stuck to it. configure-make-system is usual and known. No need to
> read all the docs from the beginning (where the link is to the exception
> INSTALL.REPO). So I just started at "2." and it failed because I used a git repo
> instead of a tarball.
>
> You see.
>
> IMHO it would improve the things if you would join INSTALL and INSTALL.REPO back
> together and also put a TOC on top of it.

Unfortunately, I think that would just confuse the situation even more.
Users building from the tarball should not have to worry about the
details in INSTALL.REPO.  This takes priority over users pulling the git
repository.

> I assume there is technically no way to remove the difference between
> tarball-build and git-build, right?

Correct.

On balance, I'm closing this bug.  Sorry.